# Log_Msg_IPC.h File Reference

`#include "ace/Log_Msg_Backend.h"`
`#include "ace/SOCK_Connector.h"`

Include dependency graph for Log_Msg_IPC.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Log_Msg_IPC
| Defines the interfaces for ACE_Log_Msg backend. More...

## Typedefs

typedef ACE_SOCK_Connector | ACE_LOG_MSG_IPC_CONNECTOR
typedef ACE_INET_Addr | ACE_LOG_MSG_IPC_ADDR

## Variables

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_SOCK_Stream | ACE_LOG_MSG_IPC_STREAM

## Detailed Description

Id
  Log_Msg_IPC.h,v 4.5 2005/10/28 16:14:53 ossama Exp

Author:
  Carlos O'Ryan <coryan@uci.edu>

## Typedef Documentation

typedef ACE_INET_Addr ACE_LOG_MSG_IPC_ADDR

typedef ACE_SOCK_Connector ACE_LOG_MSG_IPC_CONNECTOR

## Variable Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_SOCK_Stream ACE_LOG_MSG_IPC_STREAM